SPA Email Templates

SPA: Retrieves a single Email Template

Returns a single email template by ID.

GET/api/spa/email-templates/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

EmailTemplate identifier

Response

200application/json

EmailTemplate resource

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier

Example: "key1"

description
string

EmailTemplate description / title. <<>>-Syntax can be used for dynamical generation.

Example: "Invoice for contract <<contract.number>>"

comment
string

Comments and notes

Example: "This is a special email template"

to
string

Email to <<>>-Syntax can be used for dynamical generation.

Example: "<<customer.firstname>>.<<customer.surname>>@output.rocks"

cc
string

Optional value in <<>>-Syntax can be used for dynamical generation.

Example: "<<customer.firstname>>"

bcc
string

Optional value in <<>>-Syntax can be used for dynamical generation.

Example: "<<customer.surname>>"

fromName
string

Optional value in <<>>-Syntax can be used for dynamical generation.

Example: "<<customer.firstname>>"

replyTo
string

Optional value in <<>>-Syntax can be used for dynamical generation.

Example: "<<customer.surname>>"

subject
string

Email subject <<>>-Syntax can be used for dynamical generation.

Example: "Your Balance is <<customer.balance>>"

body
string

Email body <<>>-Syntax can be used for dynamical generation.

Example: "<div style=\"padding-bottom: 30px\"> Hi <<customer.firstname>>, <br>\n This is a sample HTML-Template to show you, how to use the power of Output.Rocks ;)\n </div>"

text
string

Email text <<>>-Syntax can be used for dynamical generation.

Example: "Email text <<customer.firstname>>"

color
string

HTML color code to be used on Dashboard-charts and statistics.

Example: "#083E5D"

maxBlockedAmount
integer

Maximum amount of accepted errors. EmailTemplate will be paused in case of reaching this limit

Example: 10

paused
boolean

Paused flag. Default: false

Available options: truefalse

Example: false

bounceHandling
boolean

BounceHandling flag. Default: false

Available options: truefalse

Example: false

fileName
string

Target file name without extension <<>>-Syntax can be used for dynamical generation.

Example: "<<or.expression.timestamp({\"format\":\"Y-m-d-H-i-s\"})>>_sample"

customId
string

Optional value in <<>>-Syntax to be extracted and stored on each rendered document.

Example: "<<contract.id>>"

attachmentIdentifiers
string[]

Identifier list of attachments, used in current email template

Example: ["invoice","document"]

emailAttachmentIdentifiers
string[]

Identifier list of emailAttachments, used in current email template

Example: ["email-1","email-2"]

validatorIdentifiers
string[]

Identifier list of validators, to be executed on current template

Example: ["address_validator","product_validator"]

standardEmailIdentifier
string | null
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

brandIdentifier
stringrequired

Example: "default"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

groupIdentifier
string

Optional group identifier to be used with group conditions

Example: "my_group"

groupCondition
string

Group condition.

Example: "data['contract']['balance'] > 0"

reviewCondition
string

Review condition.

Example: "data['contract']['id'] > 1000"

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"